SchoolScout API
User email prompts

Create email prompt template

POST
/user-email-prompts
AuthorizationBearer <token>

API key (sk_live_... prefix). Generate keys in the UI under Settings > API Keys, then send it as Authorization: Bearer sk_live_...

In: header

Request Body

application/json

name*string

Prompt display name

description?string
system_prompt*string

System prompt sent to the LLM

instruction_prompt*string

Instruction prompt with user guidance

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/user-email-prompts" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "system_prompt": "string",    "instruction_prompt": "string"  }'
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "user_id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "string",
  "description": "string",
  "system_prompt": "string",
  "instruction_prompt": "string",
  "emails_generated": -9007199254740991,
  "created_at": "string",
  "updated_at": "string"
}
{
  "error": "string",
  "message": "string",
  "statusCode": -9007199254740991
}